package com.unipi.talepis.producerconsumer2;

import java.util.Random;

public class Producer implements Runnable {
    public Producer(ProductLine productLine) {
        this.productLine = productLine;
    }

    Random r = new Random();
    private final ProductLine productLine;

    // standard constructors

    public void run() {
        String products[] = {
                "First product",
                "Second product",
                "Third product",
                "Fourth product",
                "End"
        };
        for (String product : products) {
            productLine.send(product+" from "+Thread.currentThread().getName());
            //System.out.println("Producer sent: "+product);
            try {
                Thread.sleep(r.nextInt(1000, 5000));
            } catch (InterruptedException e) {
                System.err.println("Thread Interrupted from sleep");
            }
        }
        System.out.println("Bye bye from "+Thread.currentThread().getName());
    }
}
